Skip to main content

AWS Cloud Connectivity - Private Self Made - Replace (PUT)

This page documents the Replace (PUT) operation in the AWS Cloud Connectivity API. Use a valid JWT bearer token.

PUT https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/cloudconnectors/privates/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Parameters​

ParameterInRequiredType / default
idpathYesstring uuid
projectIdpathYesstring uuid

Request body​

JSON fieldRequiredType / notes
nameYesstring: cloud connector name
stateYesstring (DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR): cloud connector state
bandwidthYesinteger int32: cloud connector bandwidth
maxBandwidthNointeger int32: cloud connector maximum bandwidth
technicalVpnIdYesstring uuid: network connector uuid associated with the cloud connector
awsCredentialIdYesstring uuid: aws credential uuid to be used to manage the cloud connector on aws
virtualInterfaceTypeYesstring (privateVif, transitVif): cloud connector virtual interface type
locationYesstring: cloud connector location
regionNostring: cloud connector region
customerGatewayIdYesstring: customer gateway id
routingPolicyNostring (basicAggregate, defaultRoute, noAggregate): cloud connector routing policy

Response​

Successful response: 200. ok Response schema: object.